import {rest} from "msw";
import {GET_SIDEBAR_NOTIFICATION, GET_USER, SET_USER_PASSWORD} from "@/core/data/apiRoutes";

export const userHandler = [
    rest.get(GET_USER, (req, res, ctx) => {
        return res(ctx.json({
            data:{
                id: 10,
                full_name: "Witel Company",
                position: "Software Engineer",
                permissions:[
                    "manage_users",
                    "manage_roles",
                    "manage_boss"
                ],
            }
        }))
    }),
    rest.get(GET_SIDEBAR_NOTIFICATION, (req, res, ctx) => {
        return res(ctx.json({
            data: []
        }))
    }),
    rest.post(SET_USER_PASSWORD, (req, res, ctx) => {
        return res(
            ctx.status(200),
        );
    }),
]